# Put a number into a messaging service's pool

`POST /phone/services/{id}/pool` · Rivier · voice

Put a number into a messaging service's pool.

- Scope: voice:write
- Graphql: Mutation.voicePhoneServiceAddNumber
- Sdk: voice.phoneService.addNumber
- Cli: voice phone service add number

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "senderId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    }
  },
  "required": [
    "senderId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/phone/services/{id}/pool' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "senderId": "string"
}'
```
